> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toapis.com/llms.txt
> Use this file to discover all available pages before exploring further.

# 歌詞 / 靈感 / 音效 / 標籤

> lyrics 歌詞生成,inspo 參考音訊靈感,sounds 音效,upsampleTags 標籤擴寫

```
POST https://toapis.com/v1/music/generations/{operation}
```

**model** `string` *required*

固定 `"suno"`

## lyrics — 歌詞生成(\$0.008)

**prompt** `string` *required*

歌詞主題描述

**lyrics\_model** `string`

歌詞模型:`classic` / `remi`(可選)

```bash theme={null}
curl --request POST \
  --url https://toapis.com/v1/music/generations/lyrics \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{"model":"suno","prompt":"寫一首關於夏日海邊的歌"}'
```

## inspo — 參考音訊靈感生成($0.068,Max $0.136)

以 1-4 條參考音訊為靈感生成新歌曲。

**audio\_urls** `array` *required*

1-4 條公網音訊 URL

**max\_mode** `boolean`

Max 檔(本操作無 `custom`,直接生效)

> [!WARNING]
>
> 不要傳 `custom`,上游會拒絕。

## sounds — 音效生成(\$0.0096)

**prompt** `string` *required*

音效描述

**type** `string`

音效類型

**bpm** `number`

節拍(範圍 1-300)

**key** `string`

調性

## upsampleTags — 風格標籤擴寫(\$0.004)

將簡短風格標籤擴寫為詳細風格描述。

**tags** `string` *required*

風格標籤,如 `"lo-fi chill beats"`

```bash theme={null}
curl --request POST \
  --url https://toapis.com/v1/music/generations/upsampleTags \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{"model":"suno","tags":"lo-fi chill beats"}'
```

## Response

**task\_id** `string`

任務 ID

**status** `string`

`submitted`


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.